<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMobileVoiceAccessReq StructType
 * @subpackage Structs
 */
class AddMobileVoiceAccessReq extends APIRequest
{
    /**
     * The mobileVoiceAccess
     * @var XMobileVoiceAccess
     */
    public $mobileVoiceAccess;
    /**
     * Constructor method for AddMobileVoiceAccessReq
     * @uses AddMobileVoiceAccessReq::setMobileVoiceAccess()
     * @param XMobileVoiceAccess $mobileVoiceAccess
     */
    public function __construct(XMobileVoiceAccess $mobileVoiceAccess = null)
    {
        $this
            ->setMobileVoiceAccess($mobileVoiceAccess);
    }
    /**
     * Get mobileVoiceAccess value
     * @return XMobileVoiceAccess|null
     */
    public function getMobileVoiceAccess()
    {
        return $this->mobileVoiceAccess;
    }
    /**
     * Set mobileVoiceAccess value
     * @param XMobileVoiceAccess $mobileVoiceAccess
     * @return AddMobileVoiceAccessReq
     */
    public function setMobileVoiceAccess(XMobileVoiceAccess $mobileVoiceAccess = null)
    {
        $this->mobileVoiceAccess = $mobileVoiceAccess;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMobileVoiceAccessReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
